[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.AssignPenData

Sets the Pen data for the canvas.

## Declaration

Source position: lazcanvas.pas line 147

`public procedure TLazCanvas.AssignPenData(`
`APen: TFPCustomPen`
`);`

## Arguments

`APen` |  | Pen data stored in the method.

## Description

Utilized by LCLIntf.SelectObject and by the RestoreState method. This is needed because calling Assign for the Pen, Brush, or Font properties raises exceptions.